Closed Bug 1738460 Opened 10 months ago Closed 8 months ago

Thunderbird 91.2.1 Crash Report [@ sqlite3_finalize ] following auto-upgrade from 78.14 to 91.2.1 - related to language packs

Categories

(Thunderbird :: General, defect)

Thunderbird 91
x86_64
Windows 10
defect

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: richard.leger, Unassigned)

References

(Blocks 1 open bug)

Details

Crash Data

FYI, quite a few crash reports recently reported by end-user following auto-upgrade from 78.14 ESR to 91.2.1 ESR.

Mainly... Thunderbird 91.2.1 Crash Report [@ sqlite3_finalize ]

Report ID Date Submitted
bp-231f7727-567d-4d20-b00d-03f080211029 29/10/2021, 11:46
bp-22160b00-588b-4c47-b292-d57a80211029 29/10/2021, 11:08
bp-cbf61770-1e76-4df3-8b45-69cf10211028 28/10/2021, 11:08
bp-68876fb7-9fb9-4615-a68c-626500211027 27/10/2021, 12:53
bp-a054bdcd-1a58-4440-9880-f35e60211026 26/10/2021, 11:32
bp-ace018b0-af36-44b1-a1ad-bf7d60211026 26/10/2021, 10:37 91.2.1

bp-757df18f-6fbd-4f9d-9e77-00cb30211020 20/10/2021, 17:50 78.14.0
bp-f8ff29d4-dc6a-4b22-8996-241270211014 14/10/2021, 14:12
bp-7f7726af-bae9-4fe4-bf2e-35ff60211013 13/10/2021, 11:55
bp-dd6ba833-8571-4b44-af2a-06a0c0211012 12/10/2021, 15:19
bp-cd1d1309-0a7c-47f6-9fab-21a940211008 08/10/2021, 09:18
bp-2aeb6526-0c9d-4360-919f-e8ca60211006 06/10/2021, 21:47
bp-cccd56f2-9848-4bbd-8606-b95190211005 05/10/2021, 16:36
bp-d150650a-9b5e-4407-ad33-8814b0210928 28/09/2021, 16:15

Some possibly happening after closing one of the tabs and then the whole email system shut down unexpectedly...according to end-user.

Flags: needinfo?(vseerror)
Blocks: tb91found
See Also: → 1132685, 911256

Is global indexing enabled?
Try testing without the language pack

crash rate steady (across 78 and 91) for sqlite3_finalize

crash rate low and flat arena_t::DallocSmall | je_free | nsLocalFile::Release

crash rate greatly increasing as version 91 usage increases (at 51% as of yesterday) OOM | small

(In reply to Richard Leger from comment #1)

Possibly not an isolated incident:
https://thunderbird.topicbox.com/groups/planning/Tdeddb2765fec3e46-M4f2e6b9754853554c02c2638/auto-upgrade-from-78-x-to-91-x-not-quite-smooth-for-end-users

PDFs are certainly an issue. But unless your crash rate for non-PDF related issues has increased, I don't generally see that version 91 crash rates are worse than version 78. And if you are seeing new crash signatures in version 91, it's normal for some crash signatures to change from one version to the next version.

Flags: needinfo?(vseerror)

(In reply to Wayne Mery (:wsmwk) from comment #2)

Is global indexing enabled?

Pretty sure it is enabled (by default)... but I have asked person to confirm...
Menu > Preference > General > Indexing I suppose you refer to...

Try testing without the language pack

What do you mean by that? I am not sure how to remove the language pack...
Unless you mean removing TB en-GB and install TB en-US instead?

I'm not referring to which executable is installed. I'm referring to for example langpack-en-GB@thunderbird.mozilla.org which shows as being installed per https://crash-stats.mozilla.org/report/index/231f7727-567d-4d20-b00d-03f080211029#tab-extensions

Crash Reason: EXCEPTION_ACCESS_VIOLATION_READ

Frame 	Module 	Signature 	Source 	Trust
0 	nss3.dll 	sqlite3_finalize(sqlite3_stmt*) 	third_party/sqlite3/src/sqlite3.c:84264 	context
1 	xul.dll 	mozilla::storage::Connection::internalClose(sqlite3*) 	storage/mozStorageConnection.cpp:1166 	cfi
2 	xul.dll 	mozilla::storage::`anonymous namespace'::AsyncCloseConnection::Run() 	storage/mozStorageConnection.cpp:315 	cfi
3 	xul.dll 	nsThread::ProcessNextEvent(bool, bool*) 	xpcom/threads/nsThread.cpp:1146 	cfi
4 	xul.dll 	NS_ProcessNextEvent(nsIThread*, bool) 	xpcom/threads/nsThreadUtils.cpp:466 	cfi
5 	xul.dll 	mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate*) 	ipc/glue/MessagePump.cpp:300 	cfi
6 	xul.dll 	MessageLoop::RunHandler() 	ipc/chromium/src/base/message_loop.cc:324 	cfi
7 	xul.dll 	MessageLoop::Run() 	ipc/chromium/src/base/message_loop.cc:306 	cfi
8 	xul.dll 	static nsThread::ThreadFunc(void*) 	xpcom/threads/nsThread.cpp:392 	cfi
9 	nss3.dll 	_PR_NativeRunThread(void*) 	nsprpub/pr/src/threads/combined/pruthr.c:399 	cfi
10 	nss3.dll 	pr_root(void*) 	nsprpub/pr/src/md/windows/w95thred.c:139 	cfi

Source: bp-231f7727-567d-4d20-b00d-03f080211029

(In reply to Wayne Mery (:wsmwk) from comment #5)

I'm not referring to which executable is installed. I'm referring to for example langpack-en-GB@thunderbird.mozilla.org which shows as being installed per https://crash-stats.mozilla.org/report/index/231f7727-567d-4d20-b00d-03f080211029#tab-extensions

Thank for clarifying, I'll proceed next week with end-user and revert back...

Flags: needinfo?(richard.leger)
Crash Signature: @sqlite3_finalize
Crash Signature: @sqlite3_finalize → @ sqlite3_finalize
Crash Signature: @ sqlite3_finalize → sqlite3_finalize
Crash Signature: sqlite3_finalize → [@ sqlite3_finalize ]

Perhaps you installed the language pack by accident thinking it was the spelling dictionary?

See Also: → 1674132

(In reply to Wayne Mery (:wsmwk) from comment #2)

crash rate greatly increasing as version 91 usage increases (at 51% as of yesterday) [OOM | small]

See Bug 1674132 Comment 15 to know some steps triggering such [OOM | small] crash...

.

(In reply to Wayne Mery (:wsmwk) from comment #5)

I'm not referring to which executable is installed. I'm referring to for example langpack-en-GB@thunderbird.mozilla.org which shows as being installed per https://crash-stats.mozilla.org/report/index/231f7727-567d-4d20-b00d-03f080211029#tab-extensions

Ok I have now removed the en-GB language pack and dictionary the were already present prior the upgrade...

End-user also mentioned that opening pdf files in TB not always work... it usually works the first time... but the second time it crash TB... in the period mentioned by end-user I only see [OOM | small] reports (Bug 1674132) but I haven't been able to reproduce the PDF issue to check which report is exactly generated in that case... and end-user was not exactly sure of date/time, so could also be possibly this bug (Bug 1738460).

Awaiting end-user feedback to confirm... as it does not always happens... only about once a day...

Removing the language pack seemed to have resolved most crash issues.
I have also set Adobe Reader app instead of TB Preview for .pdf file.

Flags: needinfo?(richard.leger)
Depends on: 1642415

Thanks for this info.

Component: Migration → General
No longer depends on: 1642415
Depends on: 1642415

Odd that this would be related to language packs

Status: NEW → RESOLVED
Closed: 8 months ago
Resolution: --- → WORKSFORME
Summary: Thunderbird 91.2.1 Crash Report [@ sqlite3_finalize ] following auto-upgrade from 78.14 to 91.2.1 → Thunderbird 91.2.1 Crash Report [@ sqlite3_finalize ] following auto-upgrade from 78.14 to 91.2.1 - related to language packs
You need to log in before you can comment on or make changes to this bug.